> For the complete documentation index, see [llms.txt](https://docs.ordinalsbot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ordinalsbot.com/runes/direct-mint/1.-generate-direct-mint-psbt.md).

# 1. Generate Direct Mint PSBT

## Direct Mint PSBT

<mark style="color:green;">`POST`</mark> `https://api.ordinalsbot.com/runes/direct-mint`

#### Request Body

<table><thead><tr><th width="174">Name</th><th width="106">Type</th><th>Description</th></tr></thead><tbody><tr><td>runeName<mark style="color:red;">*</mark></td><td>String</td><td>Rune name to mint</td></tr><tr><td>minterAddress<mark style="color:red;">*</mark></td><td>String</td><td>A Bitcoin address to pay order and receive the rune balance</td></tr><tr><td>feeRate<mark style="color:red;">*</mark></td><td>Number</td><td>Miner fee that will be paid while inscribing the ordinals in sats/byte.</td></tr><tr><td>mintCount<mark style="color:red;">*</mark></td><td>Number</td><td>Number of times provided rune should be minted to receive address.</td></tr><tr><td>sendAddress</td><td>String</td><td>(Optional) Address that will receive the rune mint. If not set <code>minterAddress</code> is the default value</td></tr><tr><td>simulateFee</td><td>Boolean</td><td>(Optional) If true, only fee information will be returned and no order will be created. Default is <code>false</code></td></tr></tbody></table>

#### Example request body:

```json
{
    "runeName": "RUNE•NAME",
    "minterAddress": "bc1q...",
    "feeRate": 3,
    "mintCount": 2,
    "sendAddress": "bc1q...",
    "simulateFee": false
}
```

Example response:

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "orderId": "21c7ea58-b568-4a2b-a9e6-2ff380bf3a18",
    "psbt": "cHNidP8...",
    "chainFee": 1337,
    "serviceFee": 1337
}
```

{% endtab %}

{% tab title="200: OK simulate fee" %}

```json
{
    "chainFee": 1337,
    "serviceFee": 1337
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    "status": "error",
    "error": "error reason"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ordinalsbot.com/runes/direct-mint/1.-generate-direct-mint-psbt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
